Bug 1900867 (CVE-2019-2393)

Summary: CVE-2019-2393 mongodb: Denial of service via crafted queries which use $lookup and collations
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: admiller, athomas, bkearney, clalancette, databases-maint, dbecker, gghezzo, gparvin, hhorak, jjoyce, jorton, jpacner, jramanat, jschluet, jweiser, lhh, lpeer, mburns, mskalicky, panovotn, sclewis, slinaber, stcannon, strobert, tdawson, thee
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mongodb 3.6.15, mongodb 4.0.13, mongodb 4.2.1, mongodb 4.3.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-04 23:03:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1900870    
Bug Blocks: 1900872    

Description Pedro Sampaio 2020-11-23 21:01:04 UTC
A user authorized to perform database queries may trigger denial of service by issuing specially crafted queries, which use $lookup and collations. This issue affects: MongoDB Inc. MongoDB Server v4.2 versions prior to 4.2.1; v4.0 versions prior to 4.0.13; v3.6 versions prior to 3.6.15.

Upstream bug:

https://jira.mongodb.org/browse/SERVER-43350

Comment 1 Pedro Sampaio 2020-11-23 21:01:49 UTC
Created mongodb tracking bugs for this issue:

Affects: epel-all [bug 1900870]

Comment 2 Yadnyawalk Tale 2020-11-30 17:39:35 UTC
Red Hat Satellite 6.6 onward does not ship the MongoDB package; however, the product consumes MongoDB from Red Hat Software Collections (RHSCL) for Red Hat Enterprise Linux. Satellite has no plans to update to a version of MongoDB released with a Server Side Public License (SSPL) which includes all versions released after October 16, 2018. Refer to this article for more information: https://access.redhat.com/articles/5767021

Comment 3 Riccardo Schirone 2020-12-01 10:54:49 UTC
Upstream patch:
https://github.com/mongodb/mongo/commit/d6133a3a5464fac202f512b0310dfeb200c126f9

Comment 4 Product Security DevOps Team 2020-12-04 23:03:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2393